<script setup lang="ts">
import { computed } from 'vue';
import SdgIcon from './SdgIcon.vue';

const props = defineProps<{
  icon: string;
  label: string;
  value?: string | string[];
}>();

const isList = computed(() => Array.isArray(props.value));
</script>

<template>
  <div class="mb-6">
    <span>
      <SdgIcon :icon="icon" class="mr-2" /><span class="font-bold">{{ props.label }}</span>
      :
    </span>
    <span class="pr-1" />
    <span v-if="value && isList">
      <ul>
        <li v-for="item in props.value" :key="item" class="ml-4 list-disc">{{ item }}</li>
      </ul>
    </span>
    <span v-if="value && !isList">{{ props.value }}</span>
    <slot />
  </div>
</template>
